be.ehealth.businessconnector.vsbnet.async.insurability.session.impl

## Class VsbNetInsurabilityServiceImplementationFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.vsbnet.async.insurability.session.impl.VsbNetInsurabilityServiceImplementationFactory

-     public class VsbNetInsurabilityServiceImplementationFactory
      extends ImplementationClassFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VsbNetInsurabilityServiceImplementationFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VsbNetInsurabilityServiceImplementationFactory

          public VsbNetInsurabilityServiceImplementationFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws ConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `ConnectorException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.